Subject: Re: [PATCH v2 0/6] Attempt to make nss reproducible

From: Christina O'Donnell <[email-masked]>
Date: Thu, 2 May 2024 13:42:44 +0100

Hi,

Please disregard my v2 patch. I now see where I went wrong and it's now 
working as expected on my machine.

I've sent an updated (v3) patch which builds successfully on x86_64, 
though I haven't yet tried cross-compiling or confirmed that it's still 
building reproducibly.

Sorry for the noise.

Christina

On 02/05/2024 12:00, Christina O'Donnell wrote:
> This patch series is an incomplete attempt to make nss reproducible. Currently
> this fails 4 tests due to NSS_FIPS_DISABLED not being respected.
>
> Christina O'Donnell (4):
>    gnu: nss: Update to 3.99.
>    gnu: nss-certs: Update to 3.99.
>    gnu: nss: Attempt to disable FIPS.
>    gnu: nss: Disable FIPS in lowhashtest.
>
> Zheng Junjie (2):
>    gnu: nss: Fix cross-compilation.
>    gnu: nspr: Fix cross-compilation.
>
>   gnu/packages/certs.scm                        | 24 +++++++++++---
>   gnu/packages/nss.scm                          | 27 ++++++++++++---
>   .../nss-disable-fips-in-lowhashtest.patch     | 28 ++++++++++++++++
>   .../patches/nss-disable-shlibsign.patch       | 33 +++++++++++++++++++
>   4 files changed, 102 insertions(+), 10 deletions(-)
>   create mode 100644 gnu/packages/patches/nss-disable-fips-in-lowhashtest.patch
>   create mode 100644 gnu/packages/patches/nss-disable-shlibsign.patch
>
>
> base-commit: 9a47ef6182b6a36354699efbdbedca17f24cd9b8